Subject: bug#8595: closed (Re: bug#8595: 24.0.50; cannot send bug report with emacs -nw)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 May 2011 18:02:03 +0000

Your bug report

#8595: 24.0.50; cannot send bug report with emacs -nw

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8595: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8595
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8595: 24.0.50; cannot send bug report with emacs -nw
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 07 May 2011 21:00:48 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 01 May 2011 20:43:40 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Andy Moreton <[email-masked]>
> > Date: Sun, 01 May 2011 18:11:10 +0100
> > 
> > So the question seems to be why is mailclient-send-it preferred only
> > when window-system is non-nil ?
> 
> Probably because text terminals cannot access the clipboard, whereas
> mailclient-send-it calls clipboard-kill-ring-save.  But the MS-Windows
> build still can access the clipboard even under -nw, so that condition
> needs to be revised.

Done (revno 104157 on the trunk).

Subject: 24.0.50; cannot send bug report with emacs -nw
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sat, 30 Apr 2011 09:01:33 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When I hit C-c C-c to send the bug-report mail, instead of Emacs popping
up my mail client with a new message, and allowing me to paste the
bug-report contents into the mail, all that happens is that I see
"Sending...failed with exit value 1".
 
And I see buffer *unsent mail to [email-masked]* with my mail.
In that buffer, the From field says this:
[email-masked]
 
And the Message-ID field says this:
 
<[email-masked]>
 
emacs -nw -Q should work the same way as emacs -Q for sending a bug
report.  On Windows it should pop up a new mail message using the user's
mail client (in my case Outlook) and let the user paste the bug-report
content from Emacs into to the new message.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-04-25 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/imagesupport/include'